# Create

Launch stage: GA

`POST /api/2.0/lakeview/dashboards/{subscription.dashboard_id}/schedules/{subscription.schedule_id}/subscriptions`

Create schedule subscription.

API scopes: dashboards

## Path parameters

- `subscription` (object, optional)
  The subscription to create. A schedule is limited to 100 subscriptions.
  - `subscription_id` (string, optional)
    UUID identifying the subscription.
    Example: `01ee9e6f2a2c1a8d9273d3c3e852fc2b`
  - `schedule_id` (string, optional)
    UUID identifying the schedule to which the subscription belongs.
    Example: `01ef0cb45e2a1da4a61950e9b8789ce9`
  - `dashboard_id` (string, optional)
    UUID identifying the dashboard to which the subscription belongs.
    Example: `04aab30f99ea444490c10c85852f216c`
  - `subscriber` (object, optional)
    Subscriber details for users and destinations to be added as subscribers to the schedule.
    - `user_subscriber` (object, optional)
      The user to receive the subscription email.
       This parameter is mutually exclusive with `destination_subscriber`.
      - `user_id` (int64, optional)
        UserId of the subscriber.
        Example: `3294322584244938`
    - `destination_subscriber` (object, optional)
      The destination to receive the subscription email.
       This parameter is mutually exclusive with `user_subscriber`.
      - `destination_id` (string, optional)
        The canonical identifier of the destination to receive email notification.
        Example: `ce8f875a-11ad-4117-bcc6-c5a542822aee`
  - `created_by_user_id` (int64, optional)
    UserId of the user who adds subscribers (users or notification destinations) to the dashboard's schedule.
    Example: `3294322584244938`
  - `etag` (string, optional)
    The etag for the subscription. Must be left empty on create, can be optionally provided on delete
     to ensure that the subscription has not been deleted since the last read.
    Example: `80611980`
  - `create_time` (string, optional)
    A timestamp indicating when the subscription was created.
  - `update_time` (string, optional)
    A timestamp indicating when the subscription was last updated.
  - `skip_notify` (boolean, optional)
    Controls whether notifications are sent to the subscriber for scheduled dashboard refreshes.
     If not defined, defaults to false in the backend to match the current behavior (refresh and notify)

## Returns

Returns the Subscription object.

## Response

```json
{
  "subscription_id": "01ee9e6f2a2c1a8d9273d3c3e852fc2b",
  "schedule_id": "01ef0cb45e2a1da4a61950e9b8789ce9",
  "dashboard_id": "04aab30f99ea444490c10c85852f216c",
  "subscriber": {
    "user_subscriber": {},
    "destination_subscriber": {}
  },
  "created_by_user_id": "3294322584244938",
  "etag": "80611980",
  "create_time": "string",
  "update_time": "string",
  "skip_notify": true
}
```

